mod mml_parser;
mod wav_writer;

fn main()
{
    let bpm : f32 = 120.0;

    // 산토끼
    let mml_string1 : String = format!
    (
        "{}{}",
        "o4 l4 g l8 ee g e l4 cd l8 edce l4 gs",
        "o5 l8 c o4 l8 g o5 l8 c o4 g o5 c o4 g l4 e g l8 d fed l4 c"
    );

    let note_vector1 : Vec<wav_writer::Note> = mml_parser::parse(mml_string1);

    wav_writer::write("d:/rabbit.wav", note_vector1, bpm);

    // 작은별
    let mml_string2 : String = format!
    (
        "{}{}{}",
        "o5 l4 ccgg aal2g l4 ffee ddl2c",
        "l4 ggff eel2d l4 ggff eel2d",
        "l4 ccgg aal2g l4 ffee ddl2c"
    );

    let note_vector2 : Vec<wav_writer::Note> = mml_parser::parse(mml_string2);

    wav_writer::write("d:/twinkle_star.wav", note_vector2, bpm);
}